<?php
$title = 'All Posts';
$this->headTitle($title);
?>

<h1><?= $this->escapeHtml($title); ?></h1>
<p>
    <a href="<?= $this->url('post', ['action' => 'add']) ?>">Create Post</a>
</p>
<table class="table">
    <tr>
        <th>Title</th>
        <th>Description</th>
        <th>Image</th>
        <th>Created On</th>
        <th>Actions</th>
    </tr>
    <?php foreach ($posts as $post): ?>
        <tr>
            <td><?= $this->escapeHtml($post->title); ?></td>
            <td><?= $this->escapeHtml($post->description); ?></td>
            <td><img src="/public/img/posts/<?= $post->image ?>"</td>
            <td><?= $this->escapeHtml($post->created_on); ?></td>
            <td>
                <a href="<?= $this->url('post', ['action' => 'edit', 'id' => $post->id]); ?>">Edit</a>
                <a href="<?= $this->url('post', ['action' => 'delete', 'id' => $post->id]); ?>">Delete</a>
            </td>
        </tr>
    <?php endforeach; ?>
</table>
